﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Web.UI.ListControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        LoadDD();

        //this is to persist the current selection over postback and ajax calls



    }

    private void LoadDD()
    {
        WebDropDown1.DataSource = MakeTable();
        WebDropDown1.ValueField = "id";
        WebDropDown1.TextField = "Item";
        WebDropDown1.EnableAutoCompleteFirstMatch = false;
        WebDropDown1.EnableAutoFiltering = Infragistics.Web.UI.ListControls.AutoFiltering.Server;
        WebDropDown1.AutoFilterQueryType = Infragistics.Web.UI.ListControls.AutoFilterQueryTypes.Contains;
        WebDropDown1.AutoFilterResultSize = 50;
        WebDropDown1.EnableLoadOnDemand = true;
        WebDropDown1.AutoFilterTimeoutMs = 200;
        WebDropDown1.SelectedItemIndex = -1;

        WebDropDown1.DataBind();

    }

    private DataTable MakeTable()
    {
        // Create a new DataTable.
        System.Data.DataTable table = new DataTable("Table");
        // Declare variables for DataColumn and DataRow objects.
        DataColumn column;
        DataRow row;

        // Create new DataColumn, set DataType, 
        // ColumnName and add to DataTable.    
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "id";
        column.ReadOnly = true;
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        // Create second column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Item";
        column.AutoIncrement = false;
        column.Caption = "Item";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table. 
        table.Columns.Add(column);



        // Make the ID column the primary key column.
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["id"];
        table.PrimaryKey = PrimaryKeyColumns;



        for (int i = 0; i <= 20; i++)
        {
            row = table.NewRow();
            row["id"] = i;
            row["Item"] = "Item " + i;

            table.Rows.Add(row);
        }
        return table;

    }


    protected void WebDropDown1_SelectionChanged(object sender, Infragistics.Web.UI.ListControls.DropDownSelectionChangedEventArgs e)
    {
        var currentVal = WebDropDown1.Items[Convert.ToInt32(e.NewSelection)].Text;

        int index = Convert.ToInt32(e.NewSelection);
        WebDropDown1.CurrentValue = currentVal;
        WebDropDown1.Items[index].Selected = true;
        text1.Text = "SelectionChanged Fired+ index=" + index.ToString();
    }
}